aboutsummaryrefslogtreecommitdiff
path: root/genpki.sh
diff options
context:
space:
mode:
authorAlex Auvolat <alex@adnab.me>2022-02-09 12:09:49 +0100
committerAlex Auvolat <alex@adnab.me>2022-02-09 12:09:49 +0100
commitf03cafd49b48eabc4743b3a3791fd22f19cb0de1 (patch)
treee31d1c68502e4ee2f8f4dc67235eac0e220b2fbd /genpki.sh
parentcce5cd17f5429295eb2165480ca941dd3f49b788 (diff)
downloadnixcfg-f03cafd49b48eabc4743b3a3791fd22f19cb0de1.tar.gz
nixcfg-f03cafd49b48eabc4743b3a3791fd22f19cb0de1.zip
Modularize and prepare to support multiple clusters
Diffstat (limited to 'genpki.sh')
-rwxr-xr-xgenpki.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/genpki.sh b/genpki.sh
index 0ee6331..0dd541e 100755
--- a/genpki.sh
+++ b/genpki.sh
@@ -2,11 +2,24 @@
set -xe
+# Enter proper cluster subdirectory
+
cd $(dirname $0)
+CLUSTER="$1"
+if [ ! -d "cluster/$CLUSTER" ]; then
+ echo "Usage: $0 <cluster name>"
+ echo "The cluster name must be the name of a subdirectory of cluster/"
+ exit 1
+fi
+
+cd cluster/$CLUSTER
+
mkdir -p secrets/pki
cd secrets/pki
+# Do actual stuff
+
YEAR=$(date +%Y)
for APP in consul nomad; do
# 1. Create certificate authority